%define	lib_major 0
%define lib_name %mklibname %{name} %{lib_major}

Summary:	Linux Infrared Remote Control daemons
Name:		lirc
Version:	0.7.0
Release:	0.pre7.alsaonly.2delta
License:	GPL
Group:		System/Kernel and hardware
Source0:	lirc-0.7.0pre7.tar.bz2
Source2:	lircd.sysconfig
Source3:	lircd.init.bz2
Source4:	lircmd.init.bz2
# 0.6.5-1mdk fix default directory for socket file
Patch1:		lirc-0.6.5-tmp.patch.bz2
URL:		http://www.lirc.org/
BuildRequires:	XFree86-devel
#BuildRequires:  libirman-static-devel
PreReq:		chkconfig rpm-helper
#Does not, Anssi MOD, Requires:	setserial
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
LIRC is a package that allows you to decode and send infra-red signals
of many (but not all) commonly used remote controls.

Configuration files for many remotes are locate in lirc-remotes package


%package -n %{lib_name}
Summary: LIRC libraries
Group:	 System/Libraries

%description -n %{lib_name}
This package provides the libraries necessary to run lirc client
programs.

%package -n %{lib_name}-devel
Summary:  Header and library files for LIRC development
Group:	  Development/Other
Requires: %{lib_name} = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
This package provides the files necessary to develop LIRC-based
programs.

%prep
%setup -q -n lirc-0.7.0pre7
%patch1 -p1 -b .tmp

%build

%configure --localstatedir=/var \
	   --with-x \
	   --disable-manage-devices \
	   --with-syslog=LOG_DAEMON \
	   --with-driver=audio_alsa


%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
mkdir -p $RPM_BUILD_ROOT%{_initrddir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/aclocal
mkdir -p $RPM_BUILD_ROOT/var/log

%makeinstall_std

cat>$RPM_BUILD_ROOT%{_sysconfdir}/lircd.conf<<END
#
# This is a placeholder for your configuration file.
# See %{_datadir}/%{name}-remotes for some examples.
# You might need to install %{name}-remotes package.
#
END

cp -f $RPM_BUILD_ROOT%{_sysconfdir}/lirc{,m}d.conf

install contrib/*.m4 $RPM_BUILD_ROOT%{_datadir}/aclocal

install -m644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/lircd
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/lircd
bzcat %{SOURCE4} > $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/lircmd
chmod 755 $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/*

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n %{lib_name} -p /sbin/ldconfig
%postun	-n %{lib_name} -p /sbin/ldconfig

%post
%create_ghostfile /var/log/lircd root root 644
%_post_service lircd
%_post_service lircmd

%preun
%_preun_service lircd
%_preun_service lircmd


%files
%defattr(-,root,root)
%doc ANNOUNCE AUTHORS NEWS README TODO ChangeLog 
%doc contrib/{irman2lirc,lircs} doc/irxevent.keys
%doc doc/lirc.css doc/html doc/images
%config(noreplace) %{_initrddir}/*
%config(noreplace) %{_sysconfdir}/sysconfig/*
%config(noreplace) %{_sysconfdir}/*.conf
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/*/*


%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_includedir}/lirc
%{_datadir}/aclocal/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a

%changelog
* Sat Aug 14 2004 Anssi Hannula <anssi.hannula@mbnet.fi> 0.7.0-0.pre7.alsaonly.1delta
- Remove setserial (using alsa)
- Using audio_alsa only
- Defaulted config files to audio_alsa
- Removed some patches

* Tue Aug 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.6-7mdk
- Add setserial requires (Anthill bug #1017)

* Fri Feb 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.6-6mdk
- Fix initscript again and again with correct options this time :)

* Thu Feb 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.6-5mdk
- Fix initscript again to use module options if provided (bug #7386)

* Wed Feb 04 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.6-4mdk
- fix init script for 2.6 kernel (no longer test modules presence) (bug #7355)

* Mon Aug  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.6.6-3mdk
- mklibname
- Build with irman support, fix init script (bug #4030)
- Update sysconfig files for bug 3358

* Thu Jul 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.6-2mdk
- rebuild for new rpm

* Thu Nov 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.6-1mdk
- Release 0.6.6
- Regenerate patch 3
- Patch4 (CVS): add files missing from tarball

* Wed Oct 30 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.5-4mdk
- Fixes from Maxim Heijndijk <cchq@wanadoo.nl> for initscripts and test
  kernel module presence

* Mon Sep 23 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.5-3mdk
- Fix initscript to correctly test for kernel module presence (bug 303

* Wed Jul 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.5-2mdk
- Merged patches from Maxim Heijndijk <cchq@wanadoo.nl> :
 - Made initscript more failsafe and configurable.

* Thu May  2 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.5-1mdk
- Initial Mdk package (based on PLD and Debian package)
